## GstVaapiSurfacePool GstVaapiSurfacePool — VA surface pool |

## Functions

GstVaapiVideoPool * | gst_vaapi_surface_pool_new ()

## Types and Values

| GstVaapiSurfacePool

## Description

## Functions

### gst_vaapi_surface_pool_new ()

    GstVaapiVideoPool *
    gst_vaapi_surface_pool_new (GstVaapiDisplay *display,
                                GstVideoFormat format,
                                guint width,
                                guint height);

Creates a new GstVaapiVideoPool of GstVaapiSurface with the specified format and dimensions. If `format` is GST_VIDEO_FORMAT_ENCODED, then surfaces with best "native" format would be created. Typically, this is NV12 format, but this is implementation (driver) defined.

#### Parameters

display | a GstVaapiDisplay |
format | a GstVideoFormat |
width | the desired width, in pixels |
height | the desired height, in pixels |

#### Returns

the newly allocated GstVaapiVideoPool

## Types and Values

### GstVaapiSurfacePool

    typedef struct _GstVaapiSurfacePool GstVaapiSurfacePool;

A pool of lazily allocated GstVaapiSurface objects.